function eliminar_imagen () {
	var eliminar_img;
	alertify.confirm('¿Estás seguro/a de eliminar la imagen?', 
		function(){
					jQuery.ajax({
						type: "POST",
						url: "/intranet2/cuest/reg01/eliminar_foto",
						data: {id_foto: id_imagen},
						success: function(res) {
							if (res = 'TRUE') {

								alertify.alert('¡Foto eliminada con éxito!');
								window.location.href = window.location;

							}else{

								alertify.alert('No se pudo eliminar la foto.');
							}
							
						},
						error :function () {
							alertify.alert('No se pudo eliminar la foto.');	
						}
					});
				  }, 
		function(){  });
}



function cargar_fotos (){
	var $i = 0;
	var $c = 0;
	jQuery.ajax({
	type: "GET",
	url: "obtener_parcelas/" + dpto + "/" + distrito + "/" + colonia,
	dataType: 'json',	
	//data: {dpto: dpto, distrito: distrito, colonia: colonia},	
	error: function(){
		alert('Hubo un Error no se pudo generar las pericias!');
	},
    beforeSend: function () {
        $("#avance").html("Obteniendo datos Pericia, espere por favor...");
    },	
	success: function(res) {
		var $cantidad = res.cantidad;
		var $cantper = res.cantper;

		if (($cantper === $cantidad) && ($cantper !== 0))
		{
			alertify.alert('<h4>Ya se realizo la generacion de pericias para la colonia <b>' + col_desc +  '</b> </h4>');		
		}else{
			if (($cantper === $cantidad) && ($cantper === 0))
			{
				alertify.alert('<h4>No existen parcelas para la colonia <b>' + col_desc + '</b> Se debe importar! </h4>');		
			}else{			
		        $("#avance").html("Inicio de generación de pericias por parcela...");
				$.each(res.data, function( index, value ) {
					$i = $i + 1;            
					var objectid = value['objectid'];			
					$.ajax({
		    			url : 'generar_pericia/' + objectid,
			    		//data : {objectid: objectid},
		    			type : 'GET',
			    		dataType : 'json',
		    			success : function(res_pericia) {
		    				$("#avance").html("parcela " + objectid + " En proceso");
		    				/*
		        			$('<h1/>').text(json.title).appendTo('body');
		        			$('<div class="content"/>')
		            		.html(json.html).appendTo('body');
		            		*/
			    		},	    		
		    			error : function(xhr, status) {
		        			$("#avance").html("parcela " + objectid + " NO PROCESADA o con error!");
			    		},	    			    		
		    			//complete : function(xhr, status) {
		    			complete : function(xhr, status) {
		    				$c = $c + 1;            
		    				$("#avance").html($c + " de " + $i + "  :: parcela: " + objectid + " Procesada");
							if (($cantidad == $i) && ($cantidad == $c)) {
								alertify.alert('<h4><b>' + $c + '</b> parcelas procesadas de ' + $cantidad + '</h4>' + 
								'<h4><b> Generacion de pericias completa! </h4>');
							}    				
		    			}    			
					});
				});        								
			}
		}
	},
    complete : function(xhr, status) {
    }
	});
}


$(document).ready(function(){
	$('#form-carga_masiv').on('submit', function (e) {
		//alert('ok');
      /*//prevents reloading of page
      e.preventDefault();
      //get file data
      var file_data = $("#file").prop("files")[0];
      var form_data = new FormData();
      form_data.append('file', file_data);
      //run upload.php script and append result to draggable block
      $.ajax({
        type: 'post',
        url: 'php/upload.php',
        cache: false,
        data: form_data,
        success: function (data) {
          $( "#draggable"+i).append(data);
          i++;
        }
      });
*/
    });

	$("#carga_masiv_btn").click(function (){
  	  $("#mensajes").text('Por favor, espere...');
  	  console.log($("#mensajes").text());
  	  $("#form-carga_masiv").submit();

      //$("#pop").fadeOut(100);
   	});

   /********** POPUP PARA VISUALIZAR FOTOS EN TODAS LAS PESTAÑAS ************/
   //Conseguir valores de la img
   //var img_w = $(".img_carrusel").width() + 10;
   var img_w = $("#pop img").width();
   var img_h = $("#pop img").height();
   //var img_h = $(".img_carrusel").height() + 28;

   
   //Darle el alto y ancho
   $("#pop").css('width', img_w + 'px');
   $("#pop").css('height', img_h + 'px');
   
   //Esconder el popup
   //$("#pop").hide();


   //Consigue valores de la ventana del navegador
   var w = $(this).width();
   var h = $(this).height();
   
   //Centra el popup   
   //w = (w/2) - (img_w/2);
   //h = (h/2) - (img_h/2);
   //$("#pop").css("left",w + "px");
   //$("#pop").css("top",h + "px");

   //temporizador, para que no aparezca de golpe
   //setTimeout("mostrar()",1500);

   //Función para cerrar el popup
   $("#hide_fotos").click(function (){
   	  $("#show_fotos").show();
      $("#pop").fadeOut(100);
   });

   //Función para cerrar el popup
   $("#show_fotos").click(function (){
   	  $("#show_fotos").hide(1);
   	  $("#pop").fadeIn(100);
   });

   /********** POPUP PARA VISUALIZAR FOTOS EN TODAS LAS PESTAÑAS ************/




	/************ VISOR DE FOTOS ****************/
	var posicion = 0;
	var imagenes = new Array();
	var numeroImatges = 6;

	if(numeroImatges<=1){
		$('.derecha_flecha').css('display','none');
		$('.izquierda_flecha').css('display','none');
	}
	
	$('.izquierda_flecha').on('click',function(){
		var valorInput=$("#cantidad_fotos").val();
		if(posicion>0){
			posicion = posicion-1;
			}else{
			posicion = valorInput-1;
		}
		$(".carrusel").animate({"left": -($('#product_'+posicion).position().left)}, 600);
		return false;
	});
	
	$('.izquierda_flecha').hover(function(){
		$(this).css('opacity','0.5');
		},function(){
		$(this).css('opacity','1');
	});
	
	$('.derecha_flecha').hover(function(){
		$(this).css('opacity','0.5');
		},function(){
		$(this).css('opacity','1');
	});
	
	$('.derecha_flecha').on('click',function(){
		var valorInput=$("#cantidad_fotos").val();
		if(valorInput>posicion+1){
			posicion = posicion+1;
		}else{
			posicion = 0;
		}
		$(".carrusel").animate({"left": -($('#product_'+posicion).position().left)}, 600);
		return false;
	});
	/************ VISOR DE FOTOS ****************/

	//obtiene el id de la imagen actual cuando el cursor se posiciona encima
	$('.img_carrusel').mouseover(function(){
		id_imagen = this.id;
		url_img = $('#' + this.id).attr("src");
		$('.descargar_img').attr("href", url_img);
	});
})